GET /api/credits returns balance, tool prices, purchase credit amount and availability. GET /api/billing/ledger?page=1 lists twenty ledger entries per page.
Checkout
POST /api/stripe/checkout opens a one-time Stripe purchase when enabled. Payments are granted only by signed webhook confirmation.
Balance and transactions
GET /api/credits returns balance, tool prices, purchase credit amount and availability. GET /api/billing/ledger?page=1 lists twenty ledger entries per page.
Checkout
POST /api/stripe/checkout opens a one-time Stripe purchase when enabled. Payments are granted only by signed webhook confirmation.